Package ru.bitel.bgbilling.modules.wm.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.wm.common.bean.Transaction

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class Transaction
    extends BGAbstractTransaction

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Transaction()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getParameters()` |
  `java.lang.String` | `getPayerPurse()` |
  `java.lang.String` | `getPayerWM()` |
  `java.lang.String` | `getReceiverPurse()` |
  `long` | `getSysInvsNumber()` |
  `long` | `getSysTransNumber()` |
  `void` | `setParameters​(java.lang.String parameters)` |
  `void` | `setPayerPurse​(java.lang.String payerPurse)` |
  `void` | `setPayerWM​(java.lang.String payerWM)` |
  `void` | `setReceiverPurse​(java.lang.String receiverPurse)` |
  `void` | `setSysInvsNumber​(long sysInvsNumber)` |
  `void` | `setSysTransNumber​(long sysTransNumber)` |

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractComment, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, isAutopayment, setAutopayment, setContractComment, setContractId, setContractTitle, setCreateDate, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getParameters

    public java.lang.String getParameters()

  - ### setParameters

    public void setParameters​(java.lang.String parameters)

  - ### getReceiverPurse

    public java.lang.String getReceiverPurse()

  - ### setReceiverPurse

    public void setReceiverPurse​(java.lang.String receiverPurse)

  - ### getPayerPurse

    public java.lang.String getPayerPurse()

  - ### setPayerPurse

    public void setPayerPurse​(java.lang.String payerPurse)

  - ### getPayerWM

    public java.lang.String getPayerWM()

  - ### setPayerWM

    public void setPayerWM​(java.lang.String payerWM)

  - ### getSysInvsNumber

    public long getSysInvsNumber()

  - ### setSysInvsNumber

    public void setSysInvsNumber​(long sysInvsNumber)

  - ### getSysTransNumber

    public long getSysTransNumber()

  - ### setSysTransNumber

    public void setSysTransNumber​(long sysTransNumber)